using System;

internal sealed class Delegate497 : MulticastDelegate
{
	public extern void Invoke(object object_0, object object_1);

	public static void smethod_0(object object_0, object object_1, Delegate497 delegate497_1)
	{
		delegate497_1(object_0, object_1);
	}

	public extern Delegate497(object object_0, IntPtr intptr_0);

	static Delegate497()
	{
		Class10.smethod_13(typeof(Delegate497).TypeHandle);
	}

	internal static Delegate497 delegate497_0;
}
